%global pypi_name janus
%global commitId 0783f9b7a9bb7e1c095e93ebb4aad4f1e219f512

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        1.0.0
Release:        1%{?dist}
Summary:        Thread-safe asyncio-aware queue for Python

License:        Apache-2.0
URL:            https://github.com/aio-libs/janus
Source0:        python-janus-0783f9b7a9bb7e1c095e93ebb4aad4f1e219f512.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
Mixed sync-async queue, supposed to be used for communicating between classic synchronous (threaded) code and asynchronous (in terms of asyncio) one.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        Thread-safe asyncio-aware queue for Python

Requires:       python%{python3_pkgversion}-typing-extensions >= 3.7.4.3

%description -n python%{python3_pkgversion}-%{pypi_name}
Mixed sync-async queue, supposed to be used for communicating between classic synchronous (threaded) code and asynchronous (in terms of asyncio) one.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGES.rst README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Jan 11 2023 James Marshall <jamarsha@redhat.com> 1.0.0-1
- Initial release
